Eule Namespace Reference

## Classes

class | Collider
| Abstract class of a collider domain. More...
class | Math
| Math utility class containing basic functions. More...
class | Matrix4x4
| A matrix 4x4 class representing a 3d transformation. More...
class | Quaternion
| 3D rotation representation More...
struct | Rect
| Trivial data structure representing a rectangle. More...
class | TrapazoidalPrismCollider
| A collider describing a trapazoidal prism. More...
class | Vector2
| Representation of a 2d vector. More...
class | Vector3
| Representation of a 3d vector. More...
class | Vector4
| Representation of a 4d vector. More...

## Typedefs

typedef Vector3< double > | Vector3d
typedef Vector2< int > | Vector2i
typedef Vector2< double > | Vector2d
typedef Vector3< int > | Vector3i
typedef Vector4< int > | Vector4i
typedef Vector4< double > | Vector4d

## Functions

std::ostream & | operator<< (std::ostream &os, const Matrix4x4 &m)
std::wostream & | operator<< (std::wostream &os, const Matrix4x4 &m)
std::ostream & | operator<< (std::ostream &os, const Quaternion &q)
std::wostream & | operator<< (std::wostream &os, const Quaternion &q)

## Typedef Documentation

## Vector2d

typedef Vector2<double> Eule::Vector2d

Definition at line 102 of file Vector2.h.

## Vector2i

typedef Vector2<int> Eule::Vector2i

Definition at line 101 of file Vector2.h.

## Vector3d

typedef Vector3< double > Eule::Vector3d

Definition at line 9 of file Matrix4x4.h.

## Vector3i

typedef Vector3<int> Eule::Vector3i

Definition at line 109 of file Vector3.h.

## Vector4d

typedef Vector4<double> Eule::Vector4d

Definition at line 107 of file Vector4.h.

## Vector4i

typedef Vector4<int> Eule::Vector4i

Definition at line 106 of file Vector4.h.

## Function Documentation

## operator<<() [1/4]

std::ostream& Eule::operator<< | ( | std::ostream & | os,
|  | const Matrix4x4 & | m
| ) |  |

Definition at line 620 of file Matrix4x4.cpp.

{
os << std::endl;
for (std::size_t y = 0; y < 4; y++)
{
for (std::size_t x = 0; x < 4; x++)
os << " | " << m[y][x];
os << " |" << std::endl;
}
return os;
}

## operator<<() [2/4]

std::ostream& Eule::operator<< | ( | std::ostream & | os,
|  | const Quaternion & | q
| ) |  |

Definition at line 325 of file Quaternion.cpp.

{
os << "[" << q.v << "]";
return os;
}

## operator<<() [3/4]

std::wostream& Eule::operator<< | ( | std::wostream & | os,
|  | const Matrix4x4 & | m
| ) |  |

Definition at line 635 of file Matrix4x4.cpp.

{
os << std::endl;
for (std::size_t y = 0; y < 4; y++)
{
for (std::size_t x = 0; x < 4; x++)
os << L" | " << m[y][x];
os << L" |" << std::endl;
}
return os;
}

## operator<<() [4/4]

std::wostream& Eule::operator<< | ( | std::wostream & | os,
|  | const Quaternion & | q
| ) |  |

Definition at line 331 of file Quaternion.cpp.

{
os << L"[" << q.v << L"]";
return os;
}